This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### ambientLight()
Examples |
    size(100, 100, P3D);
    background(0);
    noStroke();
    // The spheres are white by default so
    // the ambient light changes their color
    ambientLight(51, 102, 126);
    translate(20, 50, 0);
    sphere(30);
    translate(60, 0, 0);
    sphere(30);
    size(100, 100, P3D);
    background(0);
    noStroke();
    directionalLight(126, 126, 126, 0, 0, -1);
    ambientLight(102, 102, 102);
    translate(32, 50, 0);
    rotateY(PI/5);
    box(40);
    translate(60, 0, 0);
    sphere(30);
Description | Adds an ambient light. Ambient light doesn't come from a specific direction, the rays have light have bounced around so much that objects are evenly lit from all sides. Ambient lights are almost always used in combination with other types of lights. Lights need to be included in the draw() to remain persistent in a looping program. Placing them in the setup() of a looping program will cause them to only have an effect the first time through the loop. The v1, v2, and v3 parameters are interpreted as either RGB or HSB values, depending on the current color mode.
Syntax |
    ambientLight(v1, v2, v3)
    ambientLight(v1, v2, v3, x, y, z)
Parameters |
v1 | float: red or hue value (depending on current color mode)
v2 | float: green or saturation value (depending on current color mode)
v3 | float: blue or brightness value (depending on current color mode)
x | float: x-coordinate of the light
y | float: y-coordinate of the light
z | float: z-coordinate of the light
Returns | void
Related | lights() directionalLight() pointLight() spotLight()

Updated on October 26, 2013 08:58:32pm PDT